KCAPI_KPP_KEYGEN(3)

NAME
kcapi_kpp_keygen - generate a public key

SYNOPSIS

ssize_t kcapi_kpp_keygen(struct kcapi_handle * handle, uint8_t * pubkey, size_t pubkeylen, int access);

ARGUMENTS

handle
    [in] cipher handle

pubkey
    [out] generated public key

pubkeylen
    [in] length of key buffer

access
    [in] kernel access type (KCAPI_ACCESS_HEURISTIC - use internal heuristic for fastest kernel access; KCAPI_ACCESS_VMSPLICE - use vmsplice access; KCAPI_ACCESS_SENDMSG - sendmsg access)

DESCRIPTION

return number of bytes returned by the key generation operation upon success; a negative errno-style error code if an error occurred

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT